<Alte::Card @type="primary" as |card|>
  <card.header @title={{t "components.saving.fixed-rate.result.summary.title"}} @titleIcon="list" />
  <card.content>
    <Alte::Card::Body>
      <div class="d-flex justify-content-between align-items-center border-bottom mb-3">
        <p class="text-xl">
          <FaIcon @icon="sack-dollar" />
        </p>
        <p class="d-flex flex-column text-right">
          <span class="text-muted">{{t "components.saving.fixed-rate.result.summary.final-balance"}}
            <span class="tooltip-container">
              <BsTooltip
                @triggerEvents="click"
                @title={{t "components.saving.fixed-rate.result.summary.final-balance-tooltip"}}
              />
              <FaIcon class="text-info" @icon="question-circle" />
            </span>
          </span>
          <span data-test-key-figures-balance-value class="font-weight-bold">
            {{#if @simulationRunner.isRunning}}
              <ContentLoader::Text100 />
            {{else}}
              {{#if @simulationRunner.result.lastEvent}}
                {{format-money @simulationRunner.result.lastEvent.balance fractionDigits=0}}
              {{else}}
                &#8212;
              {{/if}}
            {{/if}}
          </span>
        </p>
      </div>

      <div class="d-flex justify-content-between align-items-center border-bottom mb-3">
        <p class="text-xl">
          <FaIcon @icon="piggy-bank" />
        </p>
        <p class="d-flex flex-column text-right">
          <span class="text-muted">{{t "components.saving.fixed-rate.result.summary.deposits"}}
            <span class="tooltip-container">
              <BsTooltip
                @triggerEvents="click"
                @title={{t "components.saving.fixed-rate.result.summary.deposits-tooltip"}}
              />
              <FaIcon class="text-info" @icon="question-circle" />
            </span>
          </span>
          <span data-test-key-figures-deposits-value class="font-weight-bold">
            {{#if @simulationRunner.isRunning}}
              <ContentLoader::Text100 />
            {{else}}
              {{#if @simulationRunner.result.lastEvent}}
                {{format-money @simulationRunner.result.lastEvent.deposits fractionDigits=0}}
              {{else}}
                &#8212;
              {{/if}}
            {{/if}}
          </span>
        </p>
      </div>

      {{#if (eq @simulationRunner.parameters.transferType "WITHDRAWAL")}}
        <div
          data-test-key-figures-transfer-type
          class="d-flex justify-content-between align-items-center border-bottom mb-3"
        >
          <p class="text-xl">
            <FaIcon @icon="hands-usd" />
          </p>
          <p class="d-flex flex-column text-right">
            <span class="text-muted">{{t "components.saving.fixed-rate.result.summary.withdrawals"}}
              <span class="tooltip-container">
                <BsTooltip
                  @triggerEvents="click"
                  @title={{t "components.saving.fixed-rate.result.summary.withdrawals-tooltip"}}
                />
                <FaIcon class="text-info" @icon="question-circle" />
              </span>
            </span>
            <span id="key-figures-withdrawals" class="font-weight-bold">
              {{#if @simulationRunner.isRunning}}
                <ContentLoader::Text100 />
              {{else}}
                {{#if @simulationRunner.result.lastEvent}}
                  {{format-money @simulationRunner.result.lastEvent.withdrawals fractionDigits=0}}
                {{else}}
                  &#8212;
                {{/if}}
              {{/if}}
            </span>
          </p>
        </div>
      {{/if}}

      <div class="d-flex justify-content-between align-items-center border-bottom mb-3">
        <p class="text-xl">
          <FaIcon @icon="percentage" />
        </p>
        <p class="d-flex flex-column text-right">
          <span class="text-muted">{{t "components.saving.fixed-rate.result.summary.interests"}}
            <span class="tooltip-container">
              <BsTooltip
                @triggerEvents="click"
                @title={{t "components.saving.fixed-rate.result.summary.interests-tooltip"}}
              />
              <FaIcon class="text-info" @icon="question-circle" />
            </span>
          </span>
          <span id="key-figures-interests" class="font-weight-bold">
            {{#if @simulationRunner.isRunning}}
              <ContentLoader::Text100 />
            {{else}}
              {{#if @simulationRunner.result.lastEvent}}
                {{format-money @simulationRunner.result.lastEvent.interests fractionDigits=0}}
              {{else}}
                &#8212;
              {{/if}}
            {{/if}}
          </span>
        </p>
      </div>

      <div class="d-flex justify-content-between align-items-center mb-0">
        <p class="text-xl">
          <FaIcon @icon="percentage" />
        </p>
        <p class="d-flex flex-column text-right">
          <span class="text-muted">{{t "components.saving.fixed-rate.result.summary.fees"}}
            <span class="tooltip-container">
              <BsTooltip
                @triggerEvents="click"
                @title={{t "components.saving.fixed-rate.result.summary.fees-tooltip"}}
              />
              <FaIcon class="text-info" @icon="question-circle" />
            </span>
          </span>
          <span id="key-figures-fees" class="font-weight-bold">
            {{#if @simulationRunner.isRunning}}
              <ContentLoader::Text100 />
            {{else}}
              {{#if @simulationRunner.result.lastEvent}}
                {{format-money @simulationRunner.result.lastEvent.fees fractionDigits=0}}
              {{else}}
                &#8212;
              {{/if}}
            {{/if}}
          </span>
        </p>
      </div>
    </Alte::Card::Body>
  </card.content>
</Alte::Card>